Debian Bug report logs - #682279
unblock: libweb-id-perl/1.921-3

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Fri, 20 Jul 2012 22:30:01 UTC

Severity: normal

Done: Mehdi Dogguy <mehdi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, dr@jones.dk, Debian Release Team <debian-release@lists.debian.org>:
Bug#682279; Package release.debian.org. (Fri, 20 Jul 2012 22:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, dr@jones.dk, Debian Release Team <debian-release@lists.debian.org>. (Fri, 20 Jul 2012 22:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: libweb-id-perl/1.921-3
Date: Sat, 21 Jul 2012 00:27:22 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Hi Release Team

I was asked by Jonas Smedegaard <dr@jones.dk> today if I could do this
for him.

libweb-id-perl has a missing dependency which causes another package
to FTBFS. I have cloned the original Bugreport now as [1], see in
particular Jonas' message in [2].

 [1]: http://bugs.debian.org/682277
 [2]: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=682277#17

This was fixed in commit 8674899d847ec5fe2d59f30f6f71660a464bf45e[3]
in the pkg-perl git-repos.

 [3]: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libweb-id-perl.git;a=commitdiff;h=8674899d847ec5fe2d59f30f6f71660a464bf45e

Attached is the debdiff (generated on ries with d utility :-))

Please unblock package libweb-id-perl

unblock libweb-id-perl/1.921-3

Regards,
Salvatore

- -- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQCdtFAAoJEHidbwV/2GP+ZTIP/128Rz5IVHc/sGHajI2XUg+1
k4pX+zvxmvZOFDGnTRYOPBTP9Y60VEoaY3PWhTwrSoqzzHJrc1p2Rf6ao/hm36Gz
pTrrvdmMdcPFKk6/bXS+A4myapzJQsFA58Jh2m2oa8H6pbj4FccFn6cp2ANizby+
OAfR0YW5kaNhUDCYxWs+HC+bIoQRz/hO6obDjcZWE8L7icMjhIeCfa1dSEtCfaBM
R59mupo24svqzQ8F60qlspQCMBoLq201clRuaIU9XoR4HAzh8BuwytAXFZn114lk
FTkzhnl85unTpUMIAXROAiNTUkSi/C+VPX8APZo4/xWHSzYP6A8ZnCjxZbaMXY1O
obiOU1oUDFkgic4c5Kei0wenpom+SQg73dp4nlnY2MOPq/1Nj7wNv9bWL3I3Sou0
CkLm9xfVSphSEaQO7sgi0DckxWBHV00Qgpj5L7IH575vjY8KcXrG12B16KOKz4yd
lrlJzwRdxmuEf5A9nLXRm3hA2KlydaFN/6erXeo278QHUD4MgxW1c2WAWV/VAuym
16J25VA5prlMnCxNlBmU+FvyRTjQNlUEPdgelGBs9PUodwhlQJltCKZ3NQJPskOg
gAS91FCaTNkpCO9ad6FoqFEPUT9uBoQ5awbaaDildZlJjtbVxlRLiz3Pm65HU3zz
6h74gISI1Y/dKoRswKvP
=PhdT
-----END PGP SIGNATURE-----
[debdiff_libweb-id-perl_1.921-3.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#682279; Package release.debian.org. (Fri, 20 Jul 2012 23:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 20 Jul 2012 23:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 682279@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>, 682279@bugs.debian.org
Cc: Jonas Smedegaard <dr@jones.dk>
Subject: Re: Bug#682279: unblock: libweb-id-perl/1.921-3
Date: Sat, 21 Jul 2012 01:05:59 +0200
[Message part 1 (text/plain, inline)]
Hello,

Salvatore Bonaccorso <carnil@debian.org> (21/07/2012):
> libweb-id-perl has a missing dependency which causes another package
> to FTBFS. I have cloned the original Bugreport now as [1], see in
> particular Jonas' message in [2].
> 
>  [1]: http://bugs.debian.org/682277
>  [2]: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=682277#17

no bug reference in the changelog isn't helpful…

> +libweb-id-perl (1.921-3) unstable; urgency=low
> +
> +  * Fix depend on libmousex-types-perl or libmoosex-types-perl (in
> +    addition to recommending libmousex-types-perl).

Surely this could have been more descriptive, like “fix misconcatenation
for the CDBS_DEPENDS_ALL variable”. A naïve mind would be looking at
debian/control otherwise, and would think something was overlooked…

> +  * Relax to build unversioned on cdbs: Needed version satisfied in
> +    stable, and oldstable no longer supported.
> +  * Fix use pseudo-fields in copyright file (license-in-comment for
> +    verbatim dual-license text covered in separate License sections,
> +    and comment-in-license for non-verbatim parts of License sections):
> +    File format 1.0 mandates License field to either be single-line or
> +    include all licensing info.

Looks like random noise to me.

Just when I thought the rules were clear…
  http://release.debian.org/wheezy/freeze_policy.html

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#682279; Package release.debian.org. (Sat, 21 Jul 2012 09:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 21 Jul 2012 09:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 682279@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Cyril Brulebois <kibi@debian.org>
Cc: Salvatore Bonaccorso <carnil@debian.org>, 682279@bugs.debian.org
Subject: Re: Bug#682279: unblock: libweb-id-perl/1.921-3
Date: Sat, 21 Jul 2012 11:02:33 +0200
[Message part 1 (text/plain, inline)]
On 12-07-21 at 01:05am, Cyril Brulebois wrote:
> Hello,
> 
> Salvatore Bonaccorso <carnil@debian.org> (21/07/2012):
> > libweb-id-perl has a missing dependency which causes another package 
> > to FTBFS. I have cloned the original Bugreport now as [1], see in 
> > particular Jonas' message in [2].
> > 
> >  [1]: http://bugs.debian.org/682277
> >  [2]: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=682277#17
> 
> no bug reference in the changelog isn't helpful…

...which is the reason it was provided in above email, I guess.

I do believe inclusion of bug references in changelog is optional (see 
Debian Policy §4.4).


> > +libweb-id-perl (1.921-3) unstable; urgency=low
> > +
> > +  * Fix depend on libmousex-types-perl or libmoosex-types-perl (in
> > +    addition to recommending libmousex-types-perl).
> 
> Surely this could have been more descriptive, like “fix 
> misconcatenation for the CDBS_DEPENDS_ALL variable”. A naïve mind 
> would be looking at debian/control otherwise, and would think 
> something was overlooked…

I agree that my choice of words was not ideal for release team review. 
My target audience when writing changelogs is our users, however, and I 
do find my actual changelog entry more descriptive for them than your 
proposed one.


> > +  * Relax to build unversioned on cdbs: Needed version satisfied in
> > +    stable, and oldstable no longer supported.
> > +  * Fix use pseudo-fields in copyright file (license-in-comment for
> > +    verbatim dual-license text covered in separate License sections,
> > +    and comment-in-license for non-verbatim parts of License sections):
> > +    File format 1.0 mandates License field to either be single-line or
> > +    include all licensing info.
> 
> Looks like random noise to me.
> 
> Just when I thought the rules were clear…
>   http://release.debian.org/wheezy/freeze_policy.html

Then reject it, if you find it too unpleasing!!!


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#682279; Package release.debian.org. (Sat, 21 Jul 2012 12:09:02 GMT) Full text and rfc822 format available.

Message #18 received at 682279@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Jonas Smedegaard <dr@jones.dk>, 682279@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Subject: Re: Bug#682279: unblock: libweb-id-perl/1.921-3
Date: Sat, 21 Jul 2012 13:53:26 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jul 21, 2012 at 11:02:33AM +0200, Jonas Smedegaard wrote:
> Then reject it, if you find it too unpleasing!!!

I hope you realize that Cyril is only doing his job. You're not being helpful
and albeit I'm tempted to just say "No problem" to that statement it would
still leave an RC bug open.

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#682279; Package release.debian.org. (Sat, 21 Jul 2012 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 21 Jul 2012 18:57:03 GMT) Full text and rfc822 format available.

Message #23 received at 682279@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Philipp Kern <pkern@debian.org>
Cc: 682279@bugs.debian.org, Cyril Brulebois <kibi@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Subject: Re: Bug#682279: unblock: libweb-id-perl/1.921-3
Date: Sat, 21 Jul 2012 20:55:27 +0200
[Message part 1 (text/plain, inline)]
On 12-07-21 at 01:53pm, Philipp Kern wrote:
> On Sat, Jul 21, 2012 at 11:02:33AM +0200, Jonas Smedegaard wrote:
> > Then reject it, if you find it too unpleasing!!!
> 
> I hope you realize that Cyril is only doing his job. You're not being 
> helpful and albeit I'm tempted to just say "No problem" to that 
> statement it would still leave an RC bug open.

Sorry for my brevity and for the trailing exclamation marks.

I read the mail from Cyril and was puzzled as to how to react on it.  
Let me try in a nicer manner to elaborate on my confusion...:


Is the noise of the non-crucial changes so problematic (a.k.a. 
unpleasing) that the release team considers the current package 
unsuitable for getting an exception from the freeze?

I honestly did not consider that "noise" as "significant changes not 
related to the bug to be fixed", as it is phrased at the fine 
http://release.debian.org/wheezy/freeze_policy.html.


Do the release team consider the package unsuitable for freeze exception 
due to the lack of bug reference in the changelog (the bug was 
unfortunately unavailable to reference at the time the package was 
produced and I honestly was unaware that such reference was problematic 
for the release team to get passed in the freeze exception bugreport)?

Do the release team consider the package unsuitable for freeze exception 
due to the user-only oriented changelog entry - i.e. lack of verbose 
enough details in changelog for release managers to follow _how_ the 
issue was fixed?

Would it be more helpful of me to upload another package release that 
rephrased the changelog to be more helpful for release managers to 
understand how non-newest-debhelper-style packaging was performed 
internally?  Should I do that in addition to the user-oriented changelog 
entry or instead of it?

Would it be more helpful if I had not asked these questions but instead 
just uploaded a new package fixing these three issues raised by Cyril?


Especially that last question I ask explicitly so that I can most 
smoothly help you guys do your jobs for other of packages I may be 
involved in requesting freeze exceptions for.



Kind regards, and thanks for your great work,


Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#682279; Package release.debian.org. (Sat, 28 Jul 2012 11:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 28 Jul 2012 11:36:03 GMT) Full text and rfc822 format available.

Message #28 received at 682279@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Jonas Smedegaard <dr@jones.dk>, 682279@bugs.debian.org
Cc: Philipp Kern <pkern@debian.org>, Cyril Brulebois <kibi@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Subject: Re: Bug#682279: unblock: libweb-id-perl/1.921-3
Date: Sat, 28 Jul 2012 13:33:41 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jul 21, 2012 at 20:55:27 +0200, Jonas Smedegaard wrote:

> Is the noise of the non-crucial changes so problematic (a.k.a. 
> unpleasing) that the release team considers the current package 
> unsuitable for getting an exception from the freeze?
> 
> I honestly did not consider that "noise" as "significant changes not 
> related to the bug to be fixed", as it is phrased at the fine 
> http://release.debian.org/wheezy/freeze_policy.html.
> 
> 
> Do the release team consider the package unsuitable for freeze exception 
> due to the lack of bug reference in the changelog (the bug was 
> unfortunately unavailable to reference at the time the package was 
> produced and I honestly was unaware that such reference was problematic 
> for the release team to get passed in the freeze exception bugreport)?
> 
> Do the release team consider the package unsuitable for freeze exception 
> due to the user-only oriented changelog entry - i.e. lack of verbose 
> enough details in changelog for release managers to follow _how_ the 
> issue was fixed?
> 
> Would it be more helpful of me to upload another package release that 
> rephrased the changelog to be more helpful for release managers to 
> understand how non-newest-debhelper-style packaging was performed 
> internally?  Should I do that in addition to the user-oriented changelog 
> entry or instead of it?
> 
> Would it be more helpful if I had not asked these questions but instead 
> just uploaded a new package fixing these three issues raised by Cyril?
> 
So I think I'll answer these all at once because I think they boil down
to the same thing.

For a request like this, if it takes more than 5 minutes to process it's
a waste of our time.  Having a clear changelog helps avoid that, as does
not arguing or getting on your high horse when asked clarification
questions.  And by helping that, it helps get your request approved,
which I guess is what you want?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#682279; Package release.debian.org. (Sat, 28 Jul 2012 16:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 28 Jul 2012 16:12:04 GMT) Full text and rfc822 format available.

Message #33 received at 682279@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Julien Cristau <jcristau@debian.org>
Cc: 682279@bugs.debian.org, Philipp Kern <pkern@debian.org>, Cyril Brulebois <kibi@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Subject: Re: Bug#682279: unblock: libweb-id-perl/1.921-3
Date: Sat, 28 Jul 2012 18:10:15 +0200
[Message part 1 (text/plain, inline)]
Hi Julien, and others,

On 12-07-28 at 01:33pm, Julien Cristau wrote:
> For a request like this, if it takes more than 5 minutes to process 
> it's a waste of our time.  Having a clear changelog helps avoid that, 
> as does not arguing or getting on your high horse when asked 
> clarification questions.  And by helping that, it helps get your 
> request approved, which I guess is what you want?

Yes, that is what I want.

My apologies for not following rules and getting on my high horse.


How to proceeed from here?  Should I now...

  * Wait for you to ask clarification questions or make a verdict?
  * Make a new package fixing the bad things pointed out by Cyril - 
    i.e. a) mention in changelog relevant bugs that was filed after 
    last package release, and b) more descriptive changelog regarding 
    how changes was made, and c) random noise reverted?
  * Something else?


Regards,

 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#682279; Package release.debian.org. (Sun, 29 Jul 2012 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 29 Jul 2012 14:45:03 GMT) Full text and rfc822 format available.

Message #38 received at 682279@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Jonas Smedegaard <dr@jones.dk>
Cc: Julien Cristau <jcristau@debian.org>, 682279@bugs.debian.org, Philipp Kern <pkern@debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#682279: unblock: libweb-id-perl/1.921-3
Date: Sun, 29 Jul 2012 16:43:11 +0200
[Message part 1 (text/plain, inline)]
Hi Jonas

On Sat, Jul 28, 2012 at 06:10:15PM +0200, Jonas Smedegaard wrote:
> Hi Julien, and others,
> 
> On 12-07-28 at 01:33pm, Julien Cristau wrote:
> > For a request like this, if it takes more than 5 minutes to process 
> > it's a waste of our time.  Having a clear changelog helps avoid that, 
> > as does not arguing or getting on your high horse when asked 
> > clarification questions.  And by helping that, it helps get your 
> > request approved, which I guess is what you want?
> 
> Yes, that is what I want.
> 
> My apologies for not following rules and getting on my high horse.
> 
> 
> How to proceeed from here?  Should I now...
> 
>   * Wait for you to ask clarification questions or make a verdict?
>   * Make a new package fixing the bad things pointed out by Cyril - 
>     i.e. a) mention in changelog relevant bugs that was filed after 
>     last package release, and b) more descriptive changelog regarding 
>     how changes was made, and c) random noise reverted?
>   * Something else?

(I'm only spaeking as person involved in the bugreports mentioned)

Only to clarify a), it is right the bug against libweb-id-perl was
cloned afterwards from the librdf-crypt-perl bugreport. I think for
the release-team it would have been enough to reference to that
original bugreport on librdf-crypt-perl to have the background
information needed, or to [1].

 [1]: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=680805#17

I cloned the bug afterwards, to have the issue tracked. As *both*
packages needs to be fixed in wheezy to have the FTBFS resolved for
librdf-crypt-perl in wheezy (both #682277 and #680805)

Regards,
Salvatore
[signature.asc (application/pgp-signature, inline)]

Reply sent to Mehdi Dogguy <mehdi@debian.org>:
You have taken responsibility. (Mon, 10 Sep 2012 09:27:06 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Mon, 10 Sep 2012 09:27:06 GMT) Full text and rfc822 format available.

Message #43 received at 682279-done@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: Jonas Smedegaard <dr@jones.dk>, 682279-done@bugs.debian.org
Subject: Re: Bug#682279: unblock: libweb-id-perl/1.921-3
Date: Mon, 10 Sep 2012 11:25:02 +0200
On 28/07/12 18:10, Jonas Smedegaard wrote:
> * Wait for you to ask clarification questions or make a verdict? *
> Make a new package fixing the bad things pointed out by Cyril - i.e.
> a) mention in changelog relevant bugs that was filed after last
> package release, and b) more descriptive changelog regarding how
> changes was made, and c) random noise reverted?

I've unblocked the package. It should be able to migrate during the next
britney run. Please mention bug numbers and write more clear changelogs,
as Cyril pointed out, next time. Also, avoiding non-necessary changes
would be really appreciated.

Regards,

-- 
Mehdi



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 09 Oct 2012 07:29:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:35:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.